# Get dependency graph

Get dependency graph for an execution

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/dependency-graph
Version: 1.0
Security: x-api-key

## Query parameters:

  - `pipeline_stage_id` (string)
    Example: "Reprehenderit praesentium."

  - `path_id` (string)
    Terragrunt path identifier for filtering module-specific graph
    Example: "dev"

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "r"

  - `project` (string, required)
    Project is the project identifier.
    Example: "b"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "rld"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "o0"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


